%def_with	devel
%define		pgpool_configdir    %_sysconfdir/pgpool.d
%define		pgpool_piddir    %_var/run/pgpool
%define		pgpool_logdir    %_logdir/pgpool
%define		PGSQL   pgsql

Name:		pgpool-II 
Version:	2.1
Release:        alt1
Summary:	pgpool is a connection pool/replication server for PostgreSQL	
License: 	BSD
Group: 		Databases
Url:		http://pgfoundry.org/projects/pgpool
Source:		%name-%version.tar.gz
Source1:        pgpool.init

# Automatically added by buildreq on Thu Nov 29 2007
BuildRequires: flex gcc-c++ postgresql-devel

Patch:		%name-alt-pidfile-path.patch

%package        devel
Summary:        header files for  %name.
Group:          Databases
#Requires:       %name-common = %version-%release

%prep
%setup -q
%patch0 -p0

%build
%configure	--includedir=/usr/include/pgsql
%make_build

%install
/usr/sbin/groupadd -g 46 postgres || :
/usr/sbin/useradd -M -o -r -d %_localstatedir/%PGSQL -s /dev/null \
        -c "PostgreSQL Server, slony1, pgpool daemon" -u 46 postgres -g postgres || :

%make DESTDIR=%buildroot install
#%__install -d -m 700 %buildroot%pgpool_configdir
%__install -p -m755 -D %SOURCE1 %buildroot%_initdir/pgpool

#mv %buildroot%_sysconfdir/pcp.conf.sample %buildroot%_sysconfdir/
#mv %buildroot%_sysconfdir/pgpool.conf.sample %buildroot%pgpool_configdir/
#mv %buildroot%_sysconfdir/pool_hba.conf.sample %buildroot%_sysconfdir/

%__mkdir_p %buildroot{%pgpool_piddir,%pgpool_logdir,%pgpool_configdir}
mv %buildroot%_sysconfdir/pgpool.conf.sample %buildroot%pgpool_configdir/




%pre
/usr/sbin/groupadd -g 46 postgres || :
/usr/sbin/useradd -M -o -r -d %_localstatedir/%PGSQL -s /dev/null \
	-c "PostgreSQL Server and slony1 daemon" -u 46 postgres -g postgres || :

%post
%post_service pgpool
#ln -s %pgpool_configdir/pgpool.conf %_sysconfdir/pgpool.conf

%files
%_bindir/*
%_man8dir/*
%_libdir/*

%attr(640,root,postgres) %config(noreplace) %_sysconfdir/pool_hba.conf.sample
%attr(640,root,postgres) %config(noreplace) %_sysconfdir/pcp.conf.sample
%_datadir/%name
%_initdir/pgpool
%attr(750,root,postgres) %dir %pgpool_configdir
%attr(770,root,postgres) %dir %pgpool_piddir
%attr(770,root,postgres) %dir %pgpool_logdir

%files devel
%_includedir/%PGSQL

%description
pgpool-II is a middleware that works between PostgreSQL servers and a PostgreSQL database client
%description    devel
header files for %name.


%changelog
* Wed Oct 22 2008 Alexander V Openkin <open@altlinux.ru> 2.1-alt1
- 2.1 release 

* Wed Mar 26 2008 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 2.0.1-alt0.M40.2
-  initscript fix (-mi to -mf).

* Mon Jan 28 2008 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 2.0.1-alt0.M40.1
-  backport to alt4.

* Wed Nov 28 2007 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 2.0.1-alt0.1
-  2.0.1.

* Mon Nov 26 2007 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 1.2-alt0.M24.3
-  fix path to pid file in initscript;
-  postgresql account creation (if it doesn't exist);
-  restart pgpool daemon after upgrade.

* Mon Nov 26 2007 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 1.2-alt0.M24.2
-  lots of bugfixes (initscript, wrong rigths on config files, pid file directory).

* Fri Nov 23 2007 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 1.2-alt0.M24.1
-  backport to alm24.

* Wed Sep 05 2007 Alexander V Openkin <open@altlinux.ru> 1.2-alt1
- changed init script (logging to syslog) 

* Tue Aug 28 2007 Alexander V Openkin <open@altlinux.ru> 1.2-alt0.4
- 1.2 release 

* Fri Jul 20 2007 Alexander V Openkin <open@altlinux.ru> 1.1.1-alt0.2
- pool_process_query.c: Fix kind mismatch error when load_balance_mode is true

